Search documentation of wx

# View Source wxAuiDockArt (wx v2.4.3)

`wxAuiDockArt` is part of the wxAUI class framework.

See also overview_aui.

`wxAuiDockArt` is the art provider: provides all drawing functionality to the wxAui dock manager. This allows the dock manager to have a pluggable look-and-feel.

By default, a `wxAuiManager` uses an instance of this class called `wxAuiDefaultDockArt` (not implemented in wx) which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new dock art class. Call `wxAuiManager:setArtProvider/2` to force wxAUI to use your new dock art provider.

See:

- `wxAuiManager`

- `wxAuiPaneInfo`

wxWidgets docs: wxAuiDockArt

# Summary

## Types

wxAuiDockArt()

## Functions

getColour(This, Id)

Get the colour of a certain setting.

getFont(This, Id)

Get a font setting.

getMetric(This, Id)

Get the value of a certain setting.

setColour(This, Id, Colour)

Set a certain setting with the value `colour`.

setFont(This, Id, Font)

Set a font setting.

setMetric(This, Id, New_val)

Set a certain setting with the value `new\_val`.

# Types

Link to this type

# wxAuiDockArt()

View Source

    -type wxAuiDockArt() :: wx:wx_object().

# Functions

Link to this function

# getColour(This, Id)

View Source

    -spec getColour(This, Id) -> wx:wx_colour4() when This :: wxAuiDockArt(), Id :: integer().

Get the colour of a certain setting.

`id` can be one of the colour values of `wxAuiPaneDockArtSetting`.

Link to this function

# getFont(This, Id)

View Source

    -spec getFont(This, Id) -> wxFont:wxFont() when This :: wxAuiDockArt(), Id :: integer().

Get a font setting.

Link to this function

# getMetric(This, Id)

View Source

    -spec getMetric(This, Id) -> integer() when This :: wxAuiDockArt(), Id :: integer().

Get the value of a certain setting.

`id` can be one of the size values of `wxAuiPaneDockArtSetting`.

Link to this function

# setColour(This, Id, Colour)

View Source

    -spec setColour(This, Id, Colour) -> ok
                       when This :: wxAuiDockArt(), Id :: integer(), Colour :: wx:wx_colour().

Set a certain setting with the value `colour`.

`id` can be one of the colour values of `wxAuiPaneDockArtSetting`.

Link to this function

# setFont(This, Id, Font)

View Source

    -spec setFont(This, Id, Font) -> ok
                     when This :: wxAuiDockArt(), Id :: integer(), Font :: wxFont:wxFont().

Set a font setting.

Link to this function

# setMetric(This, Id, New_val)

View Source

    -spec setMetric(This, Id, New_val) -> ok
                       when This :: wxAuiDockArt(), Id :: integer(), New_val :: integer().

Set a certain setting with the value `new\_val`.

`id` can be one of the size values of `wxAuiPaneDockArtSetting`.